org.opencv.ximgproc

## Class AdaptiveManifoldFilter

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.AdaptiveManifoldFilter

-     public class AdaptiveManifoldFilter
      extends Algorithm

  Interface for Adaptive Manifold Filter realizations. For more details about this filter see CITE: Gastal12 and References_. Below listed optional parameters which may be set up with Algorithm::set function.
  - member double sigma_s = 16.0 Spatial standard deviation.
  - member double sigma_r = 0.2 Color space standard deviation.
  - member int tree_height = -1 Height of the manifold tree (default = -1 : automatically computed).
  - member int num_pca_iterations = 1 Number of iterations to computed the eigenvector.
  - member bool adjust_outliers = false Specify adjust outliers using Eq. 9 or not.
  - member bool use_RNG = true Specify use random number generator to compute eigenvector or not.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AdaptiveManifoldFilter(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AdaptiveManifoldFilter` | `__fromPtr__(long addr)`
    `void` | `collectGarbage()`
    `static AdaptiveManifoldFilter` | `create()`
    `void` | `filter(Mat src, Mat dst)` Apply high-dimensional filtering using adaptive manifolds.
    `void` | `filter(Mat src, Mat dst, Mat joint)` Apply high-dimensional filtering using adaptive manifolds.
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdaptiveManifoldFilter

          protected AdaptiveManifoldFilter(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static AdaptiveManifoldFilter __fromPtr__(long addr)

    - #### create

          public static AdaptiveManifoldFilter create()

    - #### collectGarbage

          public void collectGarbage()

    - #### filter

          public void filter(Mat src,
                             Mat dst,
                             Mat joint)

      Apply high-dimensional filtering using adaptive manifolds.
      Parameters:
        `src` - filtering image with any numbers of channels.
        `dst` - output image.
        `joint` - optional joint (also called as guided) image with any numbers of channels.

    - #### filter

          public void filter(Mat src,
                             Mat dst)

      Apply high-dimensional filtering using adaptive manifolds.
      Parameters:
        `src` - filtering image with any numbers of channels.
        `dst` - output image.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7